Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.value
Class HexBinaryValue

    java.lang.Object
      net.sf.saxon.value.Value<AtomicValue>
          net.sf.saxon.value.AtomicValue
              net.sf.saxon.value.HexBinaryValue

All Implemented Interfaces:
  PullEvent, GroundedValue<AtomicValue>, Item<AtomicValue>, ValueRepresentation<AtomicValue>, ConversionResult

    public class HexBinaryValue

extends AtomicValue

A value of type xs:hexBinary

Field Summary

Fields inherited from class net.sf.saxon.value.AtomicValue
`typeLabel`

Fields inherited from class net.sf.saxon.value.Value
`INDETERMINATE_ORDERING`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`HexBinaryValue(byte[] value)` Constructor: create a hexBinary value from a given array of bytes
`HexBinaryValue(CharSequence in)` Constructor: create a hexBinary value from a supplied string, in which each octet is represented by a pair of values from 0-9, a-f, A-F
`HexBinaryValue(CharSequence s, AtomicType type)` Constructor: create a HexBinary value from a supplied string in hexBinary encoding, with a specified type.

Method Summary
`AtomicValue` | `copyAsSubType(AtomicType typeLabel)` Create a primitive copy of this atomic value (usually so that the type label can be changed).
`boolean` | `equals(Object other)` Test if the two hexBinary or Base64Binaryvalues are equal.
`byte[]` | `getBinaryValue()` Get the binary value
`int` | `getLengthInOctets()` Get the number of octets in the value
`CharSequence` | `getPrimitiveStringValue()` Convert to string
`BuiltInAtomicType` | `getPrimitiveType()` Determine the primitive type of the value.
`Comparable` | `getSchemaComparable()` Support XML Schema comparison semantics
`Object` | `getXPathComparable(boolean ordered, StringCollator collator, XPathContext context)` Get an object value that implements the XPath equality and ordering comparison semantics for this value.
`int` | `hashCode()`

Methods inherited from class net.sf.saxon.value.AtomicValue
`asAtomic, checkPermittedContents, effectiveBooleanValue, getCardinality, getComponent, getItemType, getLength, getStringValue, getStringValueCS, getTypedValue, getTypeLabel, isIdentical, isNaN, itemAt, iterate, process, setTypeLabel, subsequence, toString`

Methods inherited from class net.sf.saxon.value.Value
`asItem, asItem, asIterator, asValue, convertToJava, fromItem, getCanonicalLexicalRepresentation, getIterator, getSequenceLength, reduce`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HexBinaryValue

    public HexBinaryValue(CharSequence in)
                   throws XPathException

  Constructor: create a hexBinary value from a supplied string, in which each octet is represented by a pair of values from 0-9, a-f, A-F

  Parameters:
    `in` - character representation of the hexBinary value
  Throws:
    `XPathException`

### HexBinaryValue

    public HexBinaryValue(CharSequence s,
                          AtomicType type)

  Constructor: create a HexBinary value from a supplied string in hexBinary encoding, with a specified type. This method throws no checked exceptions; the caller is expected to ensure that the string is a valid Base64 lexical representation, that it conforms to the specified type, and that the type is indeed a subtype of xs:base64Binary. An unchecked exception such as an IllegalArgumentException may be thrown if these conditions are not satisfied, but this is not guaranteed.

  Parameters:
    `s` - the value in hexBinary encoding, with no leading or trailing whitespace
    `type` - the atomic type. This must be xs:base64binary or a subtype.

### HexBinaryValue

    public HexBinaryValue(byte[] value)

  Constructor: create a hexBinary value from a given array of bytes

  Parameters:
    `value` - the value as an array of bytes

Method Detail

### copyAsSubType

    public AtomicValue copyAsSubType(AtomicType typeLabel)

  Create a primitive copy of this atomic value (usually so that the type label can be changed).

  Specified by:
    `copyAsSubType` in class `AtomicValue`
  Parameters:
    `typeLabel` - the target type (a derived type from hexBinary)
  Returns:
    the copied value

### getPrimitiveType

    public BuiltInAtomicType getPrimitiveType()

  Determine the primitive type of the value. This delivers the same answer as getItemType().getPrimitiveItemType(). The primitive types are the 19 primitive types of XML Schema, plus xs:integer, xs:dayTimeDuration and xs:yearMonthDuration, and xs:untypedAtomic. For external objects, the result is AnyAtomicType.

  Specified by:
    `getPrimitiveType` in class `AtomicValue`
  Returns:
    the primitive type

### getBinaryValue

    public byte[] getBinaryValue()

  Get the binary value

  Returns:
    the binary value, as a byte array

### getPrimitiveStringValue

    public CharSequence getPrimitiveStringValue()

  Convert to string

  Specified by:
    `getPrimitiveStringValue` in class `AtomicValue`
  Returns:
    the canonical representation.

### getLengthInOctets

    public int getLengthInOctets()

  Get the number of octets in the value

  Returns:
    the number of octets (bytes) in the value

### getSchemaComparable

    public Comparable getSchemaComparable()

  Support XML Schema comparison semantics

  Specified by:
    `getSchemaComparable` in class `AtomicValue`
  Returns:
    a Comparable that follows XML Schema comparison rules

### getXPathComparable

    public Object getXPathComparable(boolean ordered,
                                     StringCollator collator,
                                     XPathContext context)

  Get an object value that implements the XPath equality and ordering comparison semantics for this value. If the ordered parameter is set to true, the result will be a Comparable and will support a compareTo() method with the semantics of the XPath lt/gt operator, provided that the other operand is also obtained using the getXPathComparable() method. In all cases the result will support equals() and hashCode() methods that support the semantics of the XPath eq operator, again provided that the other operand is also obtained using the getXPathComparable() method. A context argument is supplied for use in cases where the comparison semantics are context-sensitive, for example where they depend on the implicit timezone or the default collation.

  Specified by:
    `getXPathComparable` in class `AtomicValue`
  Parameters:
    `ordered` - true if an ordered comparison is required. In this case the result is null if the type is unordered; in other cases the returned value will be a Comparable.
    `collator` -
    `context` - the XPath dynamic evaluation context, used in cases where the comparison is context sensitive @return an Object whose equals() and hashCode() methods implement the XPath comparison semantics
  Returns:
    an Object whose equals() and hashCode() methods implement the XPath comparison semantics with respect to this atomic value. If ordered is specified, the result will either be null if no ordering is defined, or will be a Comparable

### equals

    public boolean equals(Object other)

  Test if the two hexBinary or Base64Binaryvalues are equal.

  Specified by:
    `equals` in class `AtomicValue`
  Parameters:
    `other` - the other value
  Returns:
    true if the other operand is an atomic value and the two values are equal as defined by the XPath eq operator

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Value<AtomicValue>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.